Bug 90605 - Make file: openh323u.mak has wrong location for pwlib directory
Make file: openh323u.mak has wrong location for pwlib directory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openh323 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-10 13:23 EDT by Ernest A.
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-20 07:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ernest A. 2003-05-10 13:23:23 EDT
Description of problem:

The make file:/usr/share/openh323/openh323u.mak
which is bundled with redhat 9 has an entry which sets the environment variable
PWLIBDIR to /usr/local/pwlib. 
'PWLIBDIR=/usr/local/pwlib'

This directory does not exist.

The PWLIBDIR environment variable should actually be set to /usr/share/pwlib.
Correcting the entry in openh323u.mak seemed to solve my problem.
'PWLIBDIR=/usr/share/pwlib'


Version-Release number of selected component (if applicable):


How reproducible:
Download and compile the source for opengk_1.3.4.tar.gz, This is available at: 
http://www.at.openh323.org/code.html#linux


Steps to Reproduce:
1. untar the above file.
2. Be sure to set the OPENH323DIR environment variable to /usr/share/openh323
3. do a 'make both'
    
Actual results:
/usr/share/openh323/openh323u.mak:130: /usr/local/pwlib/make/ptlib.mak: No 
such file or directory
make: *** No rule to make target `/usr/local/pwlib/make/ptlib.mak'.  Stop.

Expected results:
The compile process should begin.

Additional info:
Comment 1 Alexander Larsson 2004-02-20 07:11:35 EST
works in fc1

Note You need to log in before you can comment on or make changes to this bug.